Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class FontManagerConfigurator

    java.lang.Object
      org.apache.fop.fonts.FontManagerConfigurator

    public class FontManagerConfigurator

extends java.lang.Object

Configurator of the FontManager

Constructor Summary
`FontManagerConfigurator(org.apache.avalon.framework.configuration.Configuration cfg, java.net.URI baseURI, java.net.URI fallbackURI, org.apache.xmlgraphics.io.ResourceResolver resourceResolver)` Main constructor

Method Summary
`void` | `configure(FontManager fontManager, boolean strict)` Initializes font settings from the user configuration
`static FontTriplet.Matcher` | `createFontsMatcher(org.apache.avalon.framework.configuration.Configuration cfg, boolean strict)` Creates a font triplet matcher from a configuration object.
`static FontTriplet.Matcher` | `createFontsMatcher(java.util.List<java.lang.String> fontFamilies, boolean strict)` Creates a font triplet matcher from a configuration object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontManagerConfigurator

    public FontManagerConfigurator(org.apache.avalon.framework.configuration.Configuration cfg,
                                   java.net.URI baseURI,
                                   java.net.URI fallbackURI,
                                   org.apache.xmlgraphics.io.ResourceResolver resourceResolver)

  Main constructor

  Parameters:
    `cfg` - the font manager configuration object
    `baseURI` - the URI against which to resolve relative URIs
    `fallbackURI` - the URI to use as a fallback if font-base is unspecified
    `resourceResolver` - the resource resolver

Method Detail

### configure

    public void configure(FontManager fontManager,
                          boolean strict)
                   throws FOPException

  Initializes font settings from the user configuration

  Parameters:
    `fontManager` - a font manager
    `strict` - true if strict checking of the configuration is enabled
  Throws:
    `FOPException` - if an exception occurs while processing the configuration

### createFontsMatcher

    public static FontTriplet.Matcher createFontsMatcher(org.apache.avalon.framework.configuration.Configuration cfg,
                                                         boolean strict)
                                                  throws FOPException

  Creates a font triplet matcher from a configuration object.

  Parameters:
    `cfg` - the configuration object
    `strict` - true for strict configuraton error handling
  Returns:
    the font matcher
  Throws:
    `FOPException` - if an error occurs while building the matcher

### createFontsMatcher

    public static FontTriplet.Matcher createFontsMatcher(java.util.List<java.lang.String> fontFamilies,
                                                         boolean strict)
                                                  throws FOPException

  Creates a font triplet matcher from a configuration object.

  Parameters:
    `fontFamilies` - the list of font families
    `strict` - true for strict configuraton error handling
  Returns:
    the font matcher
  Throws:
    `FOPException` - if an error occurs while building the matcher

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.